from accerciser.plugin import ConsolePlugin
import pyatspi

class PushButtonFocus(ConsolePlugin):
  plugin_name = 'Push Button Focus'
  plugin_description = 'Print event when pushbutton get\'s focus.'

  def init(self):
    # Register a listener for the "focus" at-spi event.
    pyatspi.Registry.registerEventListener(self.accEventFocusChanged, 
                                           'focus')

  def accEventFocusChanged(self, event):
    # If the even't source is a pushbutton, print it.
    if event.source.getRole() == pyatspi.ROLE_PUSH_BUTTON:
      self.appendText(str(event)+'\n')
